using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.BusinessLogicContracts
{
	public interface IPetLogic
	{
		List<PetViewModel>? ReadList(PetSearchModel? model);
		PetViewModel? ReadElement(PetSearchModel model);
		bool Create(PetBindingModel model);
		bool Update(PetBindingModel model);
		bool Delete(PetBindingModel model);
	}
}
